> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wenium.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List OS templates



## OpenAPI

````yaml /openapi.json get /catalog/os-templates
openapi: 3.1.0
info:
  title: Wenium Cloud API
  version: 2.0.0
  description: >-
    Complete API documentation for the Wenium Cloud platform.


    **Authentication.** All authenticated endpoints require a personal access
    token. Send the token in the `Authorization: Bearer <token>` header.
servers:
  - url: https://console.wenium.com/api
    description: Production API Server
security:
  - bearerAuth: []
paths:
  /catalog/os-templates:
    get:
      summary: List OS templates
      responses:
        '200':
          description: Flat array of OS template families and application images
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: ubuntu-22.04
                    name:
                      type: string
                      example: Ubuntu 22.04
                    parent:
                      type: string
                      example: ubuntu
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum personal access token

````